<div align="center">

# 🎵 ClassiPod

![Classipod App Screenshots](screenshots/combined.jpg)

Introducing "ClassiPod" – Your Timeless Audio Experience

Step back in time with ClassiPod, a local music player app designed to capture the nostalgic essence
of the iconic iPod Classic. Immerse yourself in the familiar click wheel interface and relive the
joy of navigating your music library with a touch of retro charm.

</div>

🧭 Intuitive Navigation: Navigate through your music library effortlessly using the virtual click
wheel. Scroll, click, and feel the tactile response as you rediscover the joy of selecting your
favorite tracks with the same ease as the original iPod.

🗃️ Local Music Library: ClassiPod is focused on your locally stored music files, ensuring that your
personal music collection takes center stage. Organize your tracks, albums, and playlists just like
you did on your trusty iPod Classic.

🖌️ Customizable Themes: Personalize your ClassiPod experience with the option of silver or grey
device frame. Choose from the two different color schemes to tailor the app's appearance to your
unique style.

🖼️ Cover Art Display: Immerse yourself in your music by appreciating album artwork on the vibrant
display. ClassiPod pays homage to the visual appeal of classic iPods by showcasing your favorite
album covers in a retro-inspired format.

🎼 No Frills, Just Music: ClassiPod stays true to the essence of a music player – no distractions, no
unnecessary features. Focus solely on the joy of listening to your favorite tunes without the
complexities of a modern streaming service.

🎧 Offline Listening: Enjoy your music without relying on an internet connection. ClassiPod is
perfect for those moments when you want to disconnect and savor the tunes stored locally on your
device.

Relive the magic of the iPod Classic with ClassiPod – where timeless design meets the convenience of
today. Download now and embark on a journey down memory lane with your music in the palm of your
hand.

If you like what you see, please ⭐ the repo.

## ✨ Features

- 🗃️ Ability to play multiple audio formats:- .mp3, .wav, .ogg, .flac, .m4a and .aac
- 🔎 Choose a Custom Folder To Scan Music From (By Default it is the Device Music Folder in the root folder
  of the device)
- 🎨 Multiple Ipod Classic Device Colors (Silver and Black)
- 🖼️ Displays the Music Metadata (Album Art, Artist Names)
- ⏩ Ability to seek forward and backwards on a audio file (By Long Pressing the seek
  forward/backwards buttons)
- ⏮️ Ability to go to previous and next track in the playlist
- 📱 Ipod Classic User Interface
- 🎞️ Cover Flow View
- 🎡 Click Wheel with Scrollable Rotation Enabled
- 💿 Now Playing Screen with current music progress displayed
- 🎶 Songs Screen with all the possible songs from the selected directory
- 🧑‍🎤 Ability to Filter and Select From a Particular Artist, Album or Genre
- 📲 Responsive Design For all Different Types of Screen Sizes
- 🔋 Displays the current device battery level and charging status on the status bar
- 🎧 Background Playback with Notification Control
- 🔀 Shuffle Songs Feature
- ➰ Loop Songs Feature (Loop one song or an entire playlist)
- 🔉 Click Wheel Sounds
- 📳 Vibration when clicking buttons and scrolling through the scroll wheel
- 🔇 In App Volume Control
- 🪞 Reflective Cover Art
- ℹ️ About Screen
- 🌍 Multi Language Support (Over 197 Languages Supported)
- 👆 Touch Screen Support
- 📺 Split Screen View (6th and 7th Gen iPod Classic)
- 🔍 Ability to search songs, artists, playlists and albums
- ⬇️ Caching Metadata of the songs for faster boot up times
- 📃 Ability to Create and Store Custom User Created Playlists
- 📖 App Usage Tutorial
- ⭐ Song Rating Feature

### 🔜 Upcoming Features

- 🎮 Ipod Built-in Games
- 📸 Ability to View Photos and Videos from the device
- 📝 Lyrics Support

## 💻 Installation links

<table>
  <tr>
    <th>Platform</th>
    <th>Installation Links</th>
  </tr>
  <tr>
    <td>Android</td>
    <td>
      <a href="https://play.google.com/store/apps/details?id=com.adeeteya.classipod">
        <img width="220" alt="Get it on Google Play" src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png">
      </a>
      <br>
      <a href="https://github.com/adeeteya/Classipod/releases/latest/download/Classipod-Android.apk">
        <img width="220" alt="APK download" src="https://img.shields.io/static/v1?label=Download&message=Android+.apk&color=2ea44f&style=for-the-badge&logo=Android&logoColor=white&logoSize=auto">
      </a>
    </td>
  </tr>

  <tr>
      <td>Windows</td>
      <td>
        <a href="https://github.com/adeeteya/Classipod/releases/latest/download/Classipod-Windows.exe">
          <img width="220" alt="Windows App" src="https://img.shields.io/static/v1?label=Download&message=Windows+App&color=blue&style=for-the-badge&logo=webtrees&logoColor=white&logoSize=auto">
        </a>
      </td>
  </tr>

  <tr>
      <td>Web App</td>
      <td>
        <a href="https://adeeteya.github.io/Classipod/#/">
          <img width="220" alt="Web App" src="https://img.shields.io/static/v1?label=Webapp&message=Visit+Website&color=blueviolet&style=for-the-badge&logo=googlechrome&logoColor=white&logoSize=auto">
        </a>
      </td>
  </tr>

</table>

## 🔌 Plugins

| Name                                                                                      | Usage                                                                               |
|-------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------|
| [**audio_metadata_reader**](https://pub.dev/packages/audio_metadata_reader)               | To read the metadata of the local mp3 files                                         |
| [**audio_service**](https://pub.dev/packages/audio_service)                               | To support background audio playback                                                |
| [**battery_plus**](https://pub.dev/packages/battery_plus)                                 | Shows phone battery level and status                                                |
| [**cupertino_icons**](https://pub.dev/packages/cupertino_icons)                           | For ios style icons                                                                 |
| [**device_preview_plus**](https://pub.dev/packages/device_preview_plus)                   | For visualizing how the app looks on different devices and screens                  |
| [**disable_battery_optimization**](https://pub.dev/packages/disable_battery_optimization) | To Disable vendor or android specific battery optimizations fo rbackground playback |
| [**file_picker**](https://pub.dev/packages/file_picker)                                   | To select the directory from which the music files are scanned                      |
| [**flutter_localizations**](https://pub.dev/packages/flutter_localizations)               | For in-app localization map data                                                    |
| [**flutter_riverpod**](https://pub.dev/packages/flutter_riverpod)                         | For State Management                                                                |
| [**go_router**](https://pub.dev/packages/go_router)                                       | To handle routing within the app                                                    |
| [**hive_ce**](https://pub.dev/packages/hive_ce)                                           | To Cache Auio Metadata and store playlists                                          |
| [**hive_ce_flutter**](https://pub.dev/packages/hive_ce_flutter)                           | For flutter specific libs of hive                                                   |
| [**intl**](https://pub.dev/packages/intl)                                                 | For internalization and localization of the app                                     |
| [**just_audio**](https://pub.dev/packages/just_audio)                                     | To play audio files                                                                 |
| [**just_audio_background**](https://pub.dev/packages/just_audio_background)               | To control audio through media notification                                         |
| [**just_audio_windows**](https://pub.dev/packages/just_audio_windows)                     | To play audio files on windows                                                      |
| [**path_provider**](https://pub.dev/packages/path_provider)                               | To fetch app data directories                                                       |
| [**permission_handler**](https://pub.dev/packages/permission_handler)                     | To check and request for file and audio access permissions                          |
| [**shared_preferences**](https://pub.dev/packages/shared_preferences)                     | To store system settings                                                            |
| [**tutorial_coach_mark**](https://pub.dev/packages/tutorial_coach_mark)                   | To provide app tutorial to the users                                                |
| [**universal_html**](https://pub.dev/packages/universal_html)                             | For Launching the app in full-screen mode on web versions                           |
| [**url_launcher**](https://pub.dev/packages/url_launcher)                                 | For Launching the Donation Page Link                                                |
| [**vibration**](https://pub.dev/packages/vibration)                                       | Used for vibration while using device controls                                      |
| [**vibration_web**](https://pub.dev/packages/vibration_web)                               | Used for vibration on the webapp version                                            |
| [**build_runner**](https://pub.dev/packages/build_runner)                                 | For code generation                                                                 |
| [**custom_lint**](https://pub.dev/packages/custom_lint)                                   | For using custom lint rules                                                         |
| [**flutter_lints**](https://pub.dev/packages/flutter_lints)                               | For using recommended flutter lints                                                 |
| [**flutter_test**](https://pub.dev/packages/flutter_test)                                 | For unit and widget testing the app                                                 |
| [**hive_ce_generator**](https://pub.dev/packages/hive_ce_generator)                       | For automatically generating Hive TypeAdapters                                      |
| [**riverpod_lint**](https://pub.dev/packages/riverpod_lint)                               | For using riverpod specific linting rules                                           |

## 🤓 Author

**[Aditya R](https://github.com/adeeteya)**

## 🔖 LICENCE

Copyright (c) 2025 Aditya R
[BSD-4-Clause LICENCE](https://github.com/adeeteya/Classipod/blob/master/LICENSE)

## 🙏 Attributions

<a href="https://www.flaticon.com/free-icons/ipod" title="ipod icons">Ipod icons created by
Freepik - Flaticon</a>